/*******************************************************************************
*
* Application:   MacApp Drafter, a sample C++ program by Danie Underwood
*
* File:   MMacApp Drafter.cp
*
* Description: Main Program
*
* Apple Integrated Systems
*
* 1990 Apple Computer, Inc. All rights reserved.
*
********************************************************************************/


#define  __MDrafter__

#if qDebug
#include <stdio.h>
#include <iostream.h>
#endif qDebug

#include <UMacApp.h>
#include <UPrinting.h>
#include <UGridView.h>
#include <UTEView.h>
#include <UDialog.h>
#include <UMacApp Drafter.h>

#pragma segment Main
void main()
{
	TDrafterApplication *gDrafterApplication;				// The application object

	InitToolBox();										// Essential toolbox and utilities

	if (ValidateConfiguration(&gConfiguration)) {		// Make sure we can run

		InitUMacApp(12);								// Initialize MacApp; 12 calls to MoreMasters

#if qDebug
	cout.sync_with_stdio();
#endif qDebug

		InitUTEView();
		InitUDialog();
		InitUGridView();

		FailNIL(gDrafterApplication=new TDrafterApplication);	// Allocate a new application object
		gDrafterApplication->IDrafterApplication();				// Initialize that new object
		gDrafterApplication->Run();							// Run the application.
	}
	else
		StdAlert(phUnsupportedConfiguration);
};
