/* MacApp Drafter										*/
/* 							 							*/
/* File: MacApp DrafterViews.r							*/
/* 							 							*/
/* A sample C++ program by Danie Underwood				*/
/*														*/
/* Apple Integrated Systems								*/
/*														*/
/* 1990 Apple Computer, Inc.  All rights reserved.		*/

#define iWindow			'WIND'
#define iMain			'MAIN'
#define	vTEView			'EDIT'
#define vNoView			'NO__'
#define vYesView		'YES_'

#define vAuthors		'AUTH'
#define vAppName		'EDIT'
#define vCopyRight		'CPY'
#define vHasDocs		'DOCS'
#define vDocBndl		'DBND'
#define vHasPrefs		'PREF'
#define vFreeWinds		'FREW'
#define vPrints			'PRNT'
#define vSplashes		'SPLH'
#define vAppSig			'EDIT'
#define vAppSigHex		'ASGH'
#define vMinMem			'MINM'
#define vDefaultMem		'DEFM'
#define vVersDVL		'VDVL'
#define vVersAlpha		'VALP'
#define vVersBeta		'VBTA'
#define vVersRls		'VRLS'
#define vReleaseNo		'RLSN'
#define vVersNo			'VRSN'
#define vBuildNo		'BLDN'
#define vAppIcon		'AICN'
#define vDocSigAlt		'EDIT'
#define vDocSig			'DSIG'
#define vDocSigHex		'DSHX'
#define vDocIcon		'DICN'
#define	vPrefFileName	'EDIT'
#define	vSys7PrefLoc	'SY7P'
#define	vSys6PrefLoc	'SY6P'
#define	vAppPrefLoc		'APPF'
#define	vFileSet		'FSET'
#define	vOneSourceFile	'1FIL'
#define	vStdSourceFiles	'SFIL'
#define	vStdNoInclSrcFil 'SNIF'
#define	vMainName		'EDIT'
#define	vPascal			'PASC'
#define	vCPlusPlus		'C++_'
#define vReadCluster	'RCLS'
#define vWriteCluster	'WCLS'
#define vDocReads		'DREA'
#define vDocWrites		'DWRI'
#define vReadData		'DRDT'
#define vReadRsrc		'DRRS'
#define vRDataOpen		'DRDO'
#define vRRsrcOpen		'DRRO'
#define vWriteData		'DWDT'
#define vWriteRsrc		'DWRS'
#define vWDataOpen		'DWDO'
#define vWRsrcOpen		'DWRO'
#define vDocReverts		'DRVT'
#define vUsesLists		'ULST'
#define vUsesAssoc		'UASS'
#define vViewsRefViews	'VRVW'
#define vViewsArePrefs	'VWPF'
#define vSepPrintViews	'PRVW'
#define vUseGridView	'GRDV'
#define vUseTEView		'TEVW'
#define vUseDialogView	'DLGV'
#define vAppDoesMenus	'AMNU'
#define vWdwDoesMenus	'WMNU'
#define vDocDoesMenus	'DMNU'
#define vViewDoesMenus	'VMNU'
#define vPopMenus		'PMNU'
#define vTearMenus		'TMNU'

#define kPrimeColorWindow	2000
#define kPrimeBWWindow		2001

#define vMainScreen		'1001'
#define vAppInfo		'1002'
#define vFinderInfo		'1003'
#define vPrefs			'1004'
#define vDocs			'1005'
#define vDocViews		'1006'
#define vPgmFiles		'1007'
#define vMenus			'1008'

resource 'view' (kPrimeColorWindow,"Color Window Frame",purgeable) {{

	root,iWindow,{40,30},{322,467},sizeVariable,sizeVariable,shown,disabled,
	Window {"TDrafterWindow",documentProc,noGoAwayBox,notResizable,modeless,ignoreFirstClick,
		freeOnClosing,disposeOnFree,doesntCloseDocument,dontOpenWithDocument,
		dontAdaptToScreen,dontStagger,forceOnScreen,dontCenter,
		iWindow,"MacApp Drafter  1990 Apple Computer, Inc."},

	iWindow,'PICT',{0,0},{342,467},sizeFixed,sizeFixed,shown,disabled,
	Picture {"",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,800},

	iWindow,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDrafterView",noID,noID}
	}
};

resource 'view' (kPrimeBWWindow,"B & W Window Frame",purgeable) {{

	root,iWindow,{40,30},{322,467},sizeVariable,sizeVariable,shown,disabled,
	Window {"TDrafterWindow",documentProc,noGoAwayBox,notResizable,modeless,ignoreFirstClick,
		freeOnClosing,disposeOnFree,doesntCloseDocument,dontOpenWithDocument,
		dontAdaptToScreen,dontStagger,forceOnScreen,dontCenter,
		iWindow,"MacApp Drafter  1990 Apple Computer, Inc."},

	iWindow,'PICT',{0,0},{342,467},sizeFixed,sizeFixed,shown,disabled,
	Picture {"",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,801},

	iWindow,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDrafterView",noID,noID}
	}
};

resource 'view' (1001,"Intro",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDrafterView",noID,noID},

	iMain,'1111',{164,280},{18,136},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Generate Output"},

	iMain,vFinderInfo,{104,56},{18,140},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Finder Information"},

	iMain,vAppInfo,{76,56},{18,176},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Application Information"},

	iMain,vPgmFiles,{140,280},{18,136},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Programming Files"},

	iMain,vDocs,{132,56},{18,92},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Documents"},

	iMain,vMenus,{160,56},{18,80},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Menus"},

	iMain,'INST',{6,48},{64,372},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterBrassCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'INST','EXPL',{16,32},{36,308},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,12,
		{0x0000,0x0000,0x0000},"",justCenter,
		"Click through each screen and create a new MacApp program!"},

	'INST','LFT',{22,8},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""},

	'INST','RGT',{22,345},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""},

	iMain,'HELO',{220,32},{92,388},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterBrassCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'HELO','INFO',{16,16},{64,356},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,extend+outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		"MacApp Drafter\nby Danie Underwood\n"
		"Apple Integrated Systems\n"
		"1990 Apple Computer, Inc.All Rights Reserved."},

	'HELO','-TL',{10,8},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""},

	'HELO','-BL',{67,8},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""},

	'HELO','-TR',{10,361},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""},

	'HELO','-BR',{67,361},{20,20},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,outline,9,
		{0x0000,0x0000,0x0000},"A",justCenter,
		""}

	}
};

resource 'view' (1002,"General",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgGeneral",vMainScreen,vMainScreen},

	iMain,'VW02',{260,24},{52,252},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Application Name"},

	'VW02',vAppName,{20,16},{20,220},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"",31,
		arrowsAndBackspace},

	iMain,'VW04',{148,24},{52,252},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Copyright"},

	'VW04',vCopyRight,{20,16},{20,220},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{3,3,3,3},systemFont,justCenter,"Apple Computer,Inc. 1990",unlimited,
		arrowsAndBackspace},

	iMain,'VW06',{204,24},{52,252},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Author(s)"},

	'VW06',vAuthors,{20,16},{20,220},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justSystem,"",unlimited,
		arrowsAndBackspace},

	iMain,'VW08',{24,24},{112,252},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Application Properties"},

	'VW08',vHasDocs,{20,20},{16,212},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Supports documents"},

	'VW08',vHasPrefs,{36,20},{16,212},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Remembers preferences"},

	'VW08',vFreeWinds,{68,20},{16,212},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Some windows are not document windows"},

	'VW08',vPrints,{52,20},{16,212},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Prints"},

	'VW08',vSplashes,{84,20},{16,212},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Has a splash screen"},

	iMain,'VW01',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW01',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"},

	'VW01',vPrefs,{76,12},{18,116},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Preference File"}
	}
};

resource 'view' (1003,"App1",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgFinderInfo",vMainScreen,vMainScreen},

	iMain,'VW38',{172,272},{124,176},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Version"},

	'VW38',vVersDVL,{80,16},{16,80},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Development"},

	'VW38',vVersAlpha,{64,16},{16,80},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Alpha"},

	'VW38',vVersBeta,{48,16},{16,80},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Beta"},

	'VW38',vVersRls,{32,16},{16,96},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Official Release"},

	'VW38','VW51',{84,116},{12,48},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Build #"},

	'VW38',vBuildNo,{96,124},{18,32},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnFrame,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},1,9,black,"A",justCenter,"0",7,
		arrowsAndBackspace},

	'VW38','VW49',{20,116},{12,48},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Release"},

	'VW38',vVersNo,{64,124},{18,36},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnFrame,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},1,9,black,"A",justCenter,"1",7,
		arrowsAndBackspace},

	'VW38','VW01',{52,116},{12,48},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Version"},

	'VW38',vReleaseNo,{32,124},{16,36},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnFrame,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},1,9,black,"A",justCenter,"1",7,
		arrowsAndBackspace},

	iMain,'VW15',{236,24},{60,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Memory Allocation (Bytes)"},

	'VW15',vMinMem,{20,20},{20,88},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"128K",9,
		arrowsAndBackspace},

	'VW15','VW18',{40,20},{12,88},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Minimum"},

	'VW15','VW19',{40,120},{12,88},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Default"},

	'VW15',vDefaultMem,{20,120},{20,88},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"1M",9,
		arrowsAndBackspace},

	iMain,'VW03',{24,24},{64,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Registered Application Signature"},

	'VW03',vAppSig,{20,20},{20,56},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"ARUA",4,
		arrowsAndBackspace},

	'VW03',vAppSigHex,{20,124},{20,84},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"4441574A",8,
		arrowsAndBackspace},

	'VW03','VW11',{40,20},{12,56},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Text"},

	'VW03','VW12',{40,124},{12,84},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Hexadecimal"},

	'VW03','VW28',{28,88},{12,24},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"OR"},

	iMain,'VW36',{168,24},{60,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Icons"},

	'VW36',vDocIcon,{16,168},{34,34},sizeFixed,sizeFixed,shown,disabled,
	Icon {"",adnShadow,{2,2},sizeable,notDimmed,notHilited,
		doesntDismiss,{1,1,1,1},systemFont,preferColor,1},

	'VW36',vAppIcon,{16,20},{34,34},sizeFixed,sizeFixed,shown,disabled,
	Icon {"",adnShadow,{2,2},sizeable,notDimmed,notHilited,
		doesntDismiss,{1,1,1,1},systemFont,preferColor,2},

	'VW36','VW06',{16,108},{12,56},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Document"},

	'VW36','VW07',{36,56},{12,56},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Application"},

	iMain,vDocBndl,{96,24},{64,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Registered Document File Type"},

	vDocBndl,vDocSig,{20,20},{20,56},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"ARUA",4,
		arrowsAndBackspace},

	vDocBndl,vDocSigHex,{20,124},{20,84},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"4441574A",8,
		arrowsAndBackspace},

	vDocBndl,'VW32',{40,20},{12,56},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Text"},

	vDocBndl,'VW33',{40,124},{12,84},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Hexadecimal"},

	vDocBndl,'VW34',{28,88},{12,24},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"OR"},

	iMain,'VW02',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW02',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"}
	}
};

resource 'view' (1004,"App2",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgPrefs",vMainScreen,vMainScreen},

	iMain,'VW04',{80,24},{80,244},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Location"},

	'VW04',vSys7PrefLoc,{20,16},{16,212},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"System Preferences Folder (System 7)"},

	'VW04',vSys6PrefLoc,{36,16},{16,212},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"System Folder (Pre System 7)"},

	'VW04',vAppPrefLoc,{52,16},{16,212},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"The applications folder"},

	iMain,'VW02',{24,24},{48,244},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Preference File Name"},

	'VW02',vPrefFileName,{16,16},{20,212},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justSystem,"G wizz Preferences",31,
		arrowsAndBackspace},

	iMain,'VW03',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW03',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"},

	'VW03',vAppInfo,{76,12},{18,116},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Application Info."}
	}
};

resource 'view' (1005,"Docs",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgDocs",vMainScreen,vMainScreen},

	iMain,'VW03',{24,24},{60,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A","Registered Document File Type"},

	'VW03',vDocSigAlt,{20,16},{20,56},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnFrame,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"ARUA",4,
		arrowsAndBackspace},

	'VW03',vDocSigHex,{20,128},{20,84},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnFrame,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"4441574A",8,
		arrowsAndBackspace},

	'VW03','VW06',{40,16},{12,56},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Text"},

	'VW03','VW07',{40,128},{12,84},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"Hexadecimal"},

	'VW03','VW08',{28,88},{12,24},sizeFixed,sizeFixed,shown,disabled,
	StaticText {"TStaticText",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,justCenter,"OR"},

	iMain,'VW02',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,black,"A",""},

	'VW02',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"},

	'VW02',vDocViews,{76,36},{18,72},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Views"},

	iMain,'VW01',{100,24},{80,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A","Reading"},

	'VW01',vDocReads,{16,12},{16,164},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Reads from a file"},

	'VW01',vReadCluster,{34,30},{38,190},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterClearCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A",""},

	vReadCluster,vReadData,{2,2},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Data"},

	vReadCluster,vReadRsrc,{2,98},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Resources"},

	vReadCluster,vRDataOpen,{20,2},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Keep file open"},

	vReadCluster,vRRsrcOpen,{20,98},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Keep file open"},

	iMain,'VW12',{196,24},{112,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A","Writing"},

	'VW12',vDocWrites,{16,12},{16,164},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Writes to a file"},

	'VW12',vWriteCluster,{42,26},{66,190},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterClearCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A",""},

	vWriteCluster,vWriteData,{2,2},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Data"},

	vWriteCluster,vWriteRsrc,{2,98},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Resources"},

	vWriteCluster,vWDataOpen,{20,2},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Keep file open"},

	vWriteCluster,vWRsrcOpen,{20,98},{16,88},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Keep file open"},

	vWriteCluster,vDocReverts,{46,2},{16,164},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Can revert to saved copy"},

	iMain,'VW19',{196,272},{64,176},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,black,"A","Data Structures"},

	'VW19',vUsesAssoc,{20,8},{16,156},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Uses associations"},

	'VW19',vUsesLists,{36,8},{16,156},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Uses lists or dynamic arrays"}
	}
};

resource 'view' (1006,"Views",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgViews",vMainScreen,vMainScreen},

	iMain,'VW04',{24,24},{116,256},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,3,9,black,"A","View Properties"},

	'VW04',vViewsRefViews,{16,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"References other views in same window"},

	'VW04',vViewsArePrefs,{32,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Views are saved in preferences file"},

	'VW04',vSepPrintViews,{48,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Printable views different from screen vi""ews"},

	'VW04',vUseGridView,{64,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Uses grid views"},

	'VW04',vUseTEView,{80,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Uses text editing views (for display or ""editing)"},

	'VW04',vUseDialogView,{96,8},{16,240},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Uses dialog views"},

	iMain,'VW02',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW02',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"},

	'VW02',vDocs,{76,28},{18,88},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,systemFont,"Documents"}
	}
};

resource 'view' (1007,"Output",purgeable) {{

	root,iMain,{0,0},{322,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgBuild",vMainScreen,vMainScreen},

	iMain,'VW08',{108,24},{48,228},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Program name in language syntax"},

	'VW08',vMainName,{16,16},{20,196},sizeFixed,sizeFixed,shown,enabled,
	EditText {"TEditText",adnLineTop+adnLineLeft+adnLineBottom+adnLineRight,{1,1},
		sizeable,notDimmed,notHilited,
		doesntDismiss,{2,2,2,2},systemFont,justCenter,"ReallyUsefulApp",15,
		arrowsAndBackspace},

	iMain,vFileSet,{168,24},{76,276},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","File Set"},

	'FSET',vOneSourceFile,{16,16},{16,244},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"One Large Source File [SMALL PROGRAMS ON""LY]"},

	'FSET',vStdSourceFiles,{32,16},{16,244},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Standard MacApp"},

	'FSET',vStdNoInclSrcFil,{48,16},{16,244},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"No separate implementation include files"},

	iMain,'VW10',{24,24},{76,120},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Language Choice"},

	'VW10',vPascal,{20,16},{16,88},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Object Pascal"},

	'VW10',vCPlusPlus,{36,16},{16,88},sizeFixed,sizeFixed,shown,enabled,
	Radio {"TRadio",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"C++"},

	iMain,'VW02',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW02',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"}
	}
};

resource 'view' (1008,"Menus",purgeable) {{

	root,iMain,{0,0},{342,467},sizeSuperView,sizeSuperView,shown,enabled,
	DialogView {"TDlgMenus",vMainScreen,vMainScreen},

	iMain,'VW03',{24,24},{124,260},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterNoClipCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,9,{0x0,0x0,0x0},"A","Menu Properties"},

	'VW03',vAppDoesMenus,{20,16},{16,228},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Application implements some menu command""s"},

	'VW03',vDocDoesMenus,{36,16},{16,228},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Documents implement some menu commands"},

	'VW03',vViewDoesMenus,{52,16},{16,228},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Views implement some menu commands"},

	'VW03',vWdwDoesMenus,{68,16},{16,228},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Windows implement some menu commands"},

	'VW03',vPopMenus,{84,16},{16,196},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,on,"Popup and heirarchical menus are used"},

	'VW03',vTearMenus,{100,16},{16,196},sizeFixed,sizeFixed,shown,enabled,
	CheckBox {"TCheckBox",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,applFont9,off,"Tear-off menus are used"},

	iMain,'VW02',{24,306},{112,144},sizeFixed,sizeFixed,shown,disabled,
	Cluster {"TDrafterHollowCluster",adnNone,{1,1},sizeable,notDimmed,notHilited,
		doesntDismiss,{6,6,6,6},1,9,{0x0,0x0,0x0},"A",""},

	'VW02',vMainScreen,{16,24},{26,96},sizeFixed,sizeFixed,shown,enabled,
	Button {"TDrafterButton",adnRRect,{3,3},sizeable,notDimmed,notHilited,
		doesntDismiss,{4,4,4,4},systemFont,"Main Screen"}
	}
};

resource 'view' (1888,"SFGetFileExtras",purgeable) {{

	root,'DLOG',{0,0},{230,356},sizeFixed,sizeFixed,shown,disabled,
	DialogView {"TClearDialog",noID,noID},

	'DLOG','DNAM',{200,10},{18,200},sizeFixed,sizeFixed,shown,enabled,
	StaticText {"",noAdornment,sizeable,notDimmed,notHilited,
		doesntDismiss,noInset,1,12,black,"",justCenter,"Please select a folder:"},

	'DLOG','CFLD',{200,204},{18,150},sizeFixed,sizeFixed,shown,enabled,
	Button {"",noAdornment,sizeable,notDimmed,notHilited,
		dismisses,noInset,plain,12,black,"","Use Current Folder"}
	}
};
