/************************************************************

Created: Wednesday, January 23, 1991 at 11:57 AM
    Types.h
    C Interface to the Macintosh Libraries


        Copyright Apple Computer, Inc.    1985-1990
        All rights reserved.

************************************************************/


#ifndef __TYPES__
#define __TYPES__

#ifndef __STRING__
#include <String.h>
#endif

#ifndef SystemSevenOrLater
#define SystemSevenOrLater 0
#endif

#ifndef SystemSixOrLater
#define SystemSixOrLater SystemSevenOrLater
#endif
#ifndef NULL
#define NULL 0
#endif
#define nil 0

#define noErr 0         /*All is well*/

typedef unsigned char Byte;
typedef char SignedByte;
typedef char *Ptr;
typedef Ptr *Handle;    /*  pointer to a master pointer */
typedef long Fixed;     /* fixed point arithmatic type */
typedef Fixed *FixedPtr;
typedef long Fract;
typedef Fract *FractPtr;

enum {false,true};
typedef unsigned char Boolean;

typedef long (*ProcPtr)();
typedef ProcPtr *ProcHandle;

typedef unsigned char Str27[28],Str15[16],**StrHandle;

typedef short OSErr;    /* error code */
typedef unsigned long OSType;
typedef OSType *OSTypePtr;
typedef unsigned long ResType;
typedef ResType *ResTypePtr;
typedef unsigned char Style;
typedef short ScriptCode;
typedef short LangCode;

// Include the Pascal string classes String, Str255, Str63, Str32 and Str31.

#ifndef __PASCALSTRING__
#include <PascalString.h>
#else
// Forward declaration for all the string classes.  Needed for compiling PascalStrings.cp
struct String;
struct Str255;
struct Str63;
struct Str32;
struct Str31;
#endif

#ifdef __cplusplus
extern "C"
{
#endif

	pascal void Debugger(void) = 0xA9FF;
	//pascal void DebugStr(const String& aStr)
	pascal void DebugStr(const Str255& aStr) = 0xABFF;
	void debugstr(char* aStr);
	pascal void SysBreak(void) = {
								  0x303C, 0xFE16, 0xA9C9};
	pascal void SysBreakStr(const String& debugStr) = {
													   0x303C, 0xFE15, 0xA9C9};
	pascal void SysBreakFunc(const String& debugFunc) = {
														 0x303C, 0xFE14, 0xA9C9};
#ifdef __cplusplus
}
#endif

#endif


