{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MDemoDialogs.p }
{ Copyright  1988 - 1991 by Apple Computer, Inc. All rights reserved. }

PROGRAM DemoDialogs;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		Types, MacAppTypes, Memory, UPascalObject, UObject, UList, AppleEvents, UEvent, UCommand, Editions, Scrap, Dialogs
		 , UEvtHandler, UApplication, UDocument, Balloons, UAdorners, UView, UWindow, UBehavior, UViewBehavior, UPrintHandler, UFailure,
		 UGeometry, OSUtils, UMacAppUniversal, UMacAppUtilities, Menus, UMenuMgr, UPatch, UMacAppGlobals, 

		{  Building Blocks }
		PrintTraps, UPrinting, UGridView, 
		UTEView, UControl, UDialog,UFloatWindow, UPopup,

		{  Implementation Use }
		UErrorMgr, UDemoDialogs;

	VAR
		gTestApplication:	TTestApplication;			{ The application object }

	BEGIN
	InitToolBox;										{ Essential toolbox and utilities
														  initialization }
	IF ValidateConfiguration(gConfiguration) THEN		{ Make sure we can run }
		BEGIN
		{ Continue with remainder of initialization }
		InitUMacApp(12);								{ Initialize MacApp; 12 calls to MoreMasters}
		InitUTEView;									{ Initialize TEView unit }
		InitUDialog;									{ Initialize other units }
		InitUGridView;
		InitUFloatWindow;

		New(gTestApplication);							{ Allocate a new application object }
		gTestApplication.ITestApplication(kFileType);	{ Initialize that new object }
		gTestApplication.Run;							{ Run the application. }
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);
	END.
