{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/0,n+]}

{ MDemoText.p }
{ Copyright  1985 - 1991 by Apple Computer, Inc. All rights reserved. }

PROGRAM DemoText;

  {$MC68020-}											{ The main program must be universal code }
  {$MC68881-}

	USES
		{  requirements for this unit's interface. }
		Types, Sane, Quickdraw, Textedit, OSUtils, Segload, Files, Traps, Memory, SysEqu, Devices,
		Scrap, MacAppTypes, ULoMem, Aliases, Editions, UMacAppUtilities, UMacAppUniversal, AppleEvents, Balloons,

		{  MacApp}
		UFailure, UPascalObject, UObject, UList, UPatch, UMemory, Menus, UMenuMgr, UGeometry,
		Events, Controls, Windows, Dialogs, UMacAppGlobals, UAppleEvents, UEvent, UCommand, UEvtHandler, UFile,
		UStream, 
		UApplication, UDocument, UFileBasedDocument, UBehavior, UViewBehavior, UPrintHandler, UAdorners, UView,
		UWindow, UControl, UScroller, USynchScroller, UErrorMgr,

		{  Building Blocks }
		PrintTraps, UPrinting, UTEView,

		{  Implementation use }
		UTEDocument, UDemoText;

	VAR
		gDemoTextApplication: TDemoTextApplication;

		{$S Main}

	BEGIN
	InitToolBox;										{ Essential toolbox and utilities
														 initialization }
	IF ValidateConfiguration(gConfiguration) THEN		{ Make sure we can run }
		BEGIN
		{ Continue with remainder of initialization }
		InitUMacApp(8); 								{ Initialize MacApp; 8 calls to MoreMasters
														 }
		InitUPrinting;									{ Initialize the Printing unit }
		InitUTEView;									{ Initialize the TEView unit }

		New(gDemoTextApplication);						{ Create an application object }
		gDemoTextApplication.IDemoTextApplication;		{ Initialize the application }
		gDemoTextApplication.Run;						{ Run the application }
		END
	ELSE
		StdAlert(phUnsupportedConfiguration);
	END.
