{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n-]}

{ UDemoText.inc1.p }
{ Copyright  1986-1991 by Apple Computer, Inc.  All rights reserved. }

USES
	UViewServer;

VAR

	gMenuOfs:			INTEGER;

	{******************************************************************************************}
	{  T D e m o T e x t A p p l i c a t i o n	}
	{******************************************************************************************}
{--------------------------------------------------------------------------------------------------}
	{$S AInit}

PROCEDURE TDemoTextApplication.IDemoTextApplication;

	VAR
		fontName:			Str255;
		aTEView:			TTEView;

	BEGIN
	fMBarDisplayed := kHierDisplayedMBar;	{ !!! }
	gMenuOfs := kHierMenuOffset;

	IApplication(kFileType);

	AddResMenu(GetMHandle(mFont), 'FONT');

	SetStyle(cBold, [bold]);
	SetStyle(cUnderline, [underline]);
	SetStyle(cItalic, [italic]);
	SetStyle(cOutline, [outline]);
	SetStyle(cShadow, [shadow]);
	SetStyle(cCondense, [condense]);
	SetStyle(cExtend, [extend]);

	{ Instead of hard-wiring a default text style, get it from the TEView resource	}
	aTEView := TTEView(gViewServer.DoCreateViews(NIL, NIL, kViewRsrcID, gZeroVPt));
	GetFontName(aTEView.fTextStyle.tsFont, fontName);
	WITH gDefaultSpecs, aTEView DO						{ Set up initial text specs }
		BEGIN
		theTextFont := fontName;
		theTextFace := fTextStyle.tsFace;
		theTextSize := fTextStyle.tsSize;
		theTextColor := fTextStyle.tsColor;
		theJustification := fJustification;
		theBackColor := gRGBWhite;
		END;
	aTEView := TTEView(FreeIfObject(aTEView));
	END;

{--------------------------------------------------------------------------------------------------}
{$S AOpen}

FUNCTION TDemoTextApplication.DoMakeDocument(itsCmdNumber: CmdNumber;
											itsFile: TFile): TDocument; OVERRIDE;

	VAR
		aTEDocument:		TTEDocument;

	BEGIN
	New(aTEDocument);
	aTEDocument.ITEDocument(itsFile,
						kFileType, kSignature, kScrapType,
						kUsesDataFork, kUsesRsrcFork, 
						NOT kDataOpen, NOT kRsrcOpen); 
	DoMakeDocument := aTEDocument;
	END;

