{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n-]}

{ UDemoText.p }
{ Copyright  1985 - 1991 by Apple Computer, Inc. All rights reserved. }

{
	This sample application demonstrates the breadth of alternatives
	available when using the MacApp building-block "UTEView" for text-editing.
}

UNIT UDemoText;

	INTERFACE

		USES
			{  requirements for this unit's interface. }
			Types, Sane, Quickdraw, Textedit, OSUtils, Segload, Files, Traps, Memory, SysEqu,
			Devices, Scrap, MacAppTypes, ULoMem, Aliases, Editions, UMacAppUtilities, AppleEvents,Balloons,
	
			{  MacApp}
			UFailure, UPascalObject, UObject, UList, UPatch, UMemory, Menus, UMenuMgr, UGeometry,
			Events, Controls, Windows, Dialogs, UMacAppGlobals, UAppleEvents, UEvent, UCommand, UEvtHandler, UFile,
			UStream, UDesignator,
			UApplication, UDocument, UFileBasedDocument, UBehavior, UViewBehavior, UPrintHandler, UAdorners, UView,
			UWindow, UControl, UScroller, USynchScroller,
			

			{  Building Blocks }
			PrintTraps, UPrinting, UTEView,

			{  Required for this unit's interface }
			UTEDocument,

			{  Implementation use }
			ToolUtils, Fonts, Resources, Script, Picker;

		CONST

			kSignature			= 'SS04';				{ application signature }
			kFileType			= kTextFileType;		{ file-type code for saved disk files --
														 uses standard text files }

		TYPE

			TDemoTextApplication = OBJECT (TApplication)

				PROCEDURE TDemoTextApplication.IDemoTextApplication;
				{ Initialize the Application }

				FUNCTION TDemoTextApplication.DoMakeDocument(itsCmdNumber: CmdNumber;
															itsFile: TFile): TDocument; OVERRIDE;
				{ Launches a TTextDocument }

				END;

	IMPLEMENTATION

		{$I UDemoText.inc1.p}

END.
