#ifndef __UMACAPPUNIVERSAL__
#define __UMACAPPUNIVERSAL__

#ifndef __PASCALDEFS__
#include <PascalDefs.h>
#endif

#ifndef __GEOMETRY__
#include <Geometry.h>
#endif

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifndef __OSUTILS__
#include <OSUtils.h>
#endif

#ifndef __MACAPPTYPES__
#include <MacAppTypes.h>
#endif

//----------------------------------------------------------------------------------------
// Global function declarations.
//----------------------------------------------------------------------------------------

pascal void BlockSet(Ptr destPtr,
					 long byteCount,
					 SignedByte setVal);

pascal void CenterRectOnScreen(Rect& aRect,
							   Boolean horizontally,
							   Boolean vertically,
							   Boolean forDialog);

pascal void ConcatNumber(const Str255& aString,
						 long aNumber,
						 Str255& theResult);

pascal TrapType GetTrapType(short theTrap);

pascal void InitToolBox();

pascal void InitUMacApp(short callsToMoreMasters);
	// Initialize the UMacApp unit call this in your program after calling: InitToolBox
    // and ValidateConfiguration.

pascal Boolean ValidateConfiguration(const ConfigRecord& configuration);

pascal void DefineConfiguration(ConfigRecord& configuration);

pascal void PullApplicationToFront();

pascal void SetRGBColor(RGBColor& RGB,
						short aRed,
						short aGreen,
						short aBlue);

pascal Boolean TrapExists(short theTrap);

#endif
