#ifndef __UTABBEHAVIORS__
#define __UTABBEHAVIORS__

#ifndef __UBEHAVIOR__
#include <UBehavior.h>
#endif


class TTabber : public TBehavior
{
public:
	Boolean fRecursive;
	Boolean fFoundCurrent;
	TView*	fFirst;
	TView*	fLast;
	TView*	fNext;
	TView*	fPrevious;

	virtual pascal void Initialize();
	virtual pascal void ITabber(Boolean recursive);
	virtual pascal void DoKeyCommand(TToolboxEvent* event);
	virtual pascal void Tab(Boolean tabBackward);
	virtual pascal void Reset();
	virtual pascal void FindSubViewTargets(TView* parent);
	virtual pascal void FindTargets();
};

class TViewTabber : public TTabber
{
public:
	virtual pascal void FindTargets();	// Override
};

class TWindowTabber : public TTabber
{
public:
	virtual pascal void FindTargets();	// Override
};

#endif