{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MacAppTypes.p }
{ Copyright  1984-1991  Apple Computer, Inc.  All rights reserved. }
{
This unit implements a set of simple type declarations.
}

UNIT MacAppTypes;

	INTERFACE
		{ If for some reason these compiler variables are undefined then set them to the highest form:
		-NoDebug -System7
		}
		{[f-]}
		{$IFC UNDEFINED qModelFarCode}
		{$SETC qModelFarCode := FALSE}
		{$EndC}

		{$IFC UNDEFINED qModelFarData}
		{$SETC qModelFarData := FALSE}
		{$EndC}

		{$IFC UNDEFINED qDebug}
		{$SETC qDebug := FALSE}
		{$EndC}

		{$IFC UNDEFINED qDebugTheDebugger}
		{$SETC qDebugTheDebugger := FALSE}
		{$EndC}

		{$IFC UNDEFINED qInspector}
		{$SETC qInspector := FALSE}
		{$EndC}

		{$IFC UNDEFINED qMacApp}
		{$SETC qMacApp := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNames}
		{$SETC qNames := FALSE}
		{$EndC}

		{$IFC UNDEFINED qNeedsColorQD}
		{$SETC qNeedsColorQD := FALSE}
		{$EndC}

		{$IFC UNDEFINED qNeedsFPU}
		{$SETC qNeedsFPU := FALSE}
		{$EndC}

		{$IFC UNDEFINED qNeedsMC68020}
		{$SETC qNeedsMC68020 := FALSE}
		{$EndC}

		{$IFC UNDEFINED qNeedsMC68030}
		{$SETC qNeedsMC68030 := FALSE}
		{$EndC}

		{$IFC UNDEFINED qPerform}
		{$SETC qPerform := FALSE}
		{$EndC}

		{$IFC UNDEFINED qRangeCheck}
		{$SETC qRangeCheck := FALSE}
		{$EndC}

		{$IFC UNDEFINED qUnInit}
		{$SETC qUnInit := FALSE}
		{$EndC}

		{$IFC UNDEFINED qTemplateViews}
		{$SETC qTemplateViews := TRUE}
		{$EndC}

		{$IFC UNDEFINED qTrace}
		{$SETC qTrace := FALSE}
		{$EndC}

		{$IFC UNDEFINED qNeedsSystem7}
		{$SETC qNeedsSystem7 := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsAppleEventMgr}
		{$SETC qNeedsAppleEventMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsEditionMgr}
		{$SETC qNeedsEditionMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsHelpMgr}
		{$SETC qNeedsHelpMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsAliasMgr}
		{$SETC qNeedsAliasMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsFolderMgr}
		{$SETC qNeedsFolderMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qNeedsProcessMgr}
		{$SETC qNeedsProcessMgr := TRUE}
		{$EndC}

		{$IFC UNDEFINED qExperimentalAndUnsupported}
		{$SETC qExperimentalAndUnsupported := FALSE}
		{$EndC}

		{  Compiler variables condition the following directive settings: }
		{$IFC qDebug}
		{$W- turn off peepholer }
		{$ELSEC}
		{$W+}
		{$ENDC}

		{$IFC qUnInit}
		{$Init+ init all unitialized storage }
		{$ELSEC}
		{$Init-}
		{$ENDC}

		{$IFC qRangeCheck}
		{$R+ enable range checking}
		{$OV+ enable overflow checking }
		{$ELSEC}
		{$R-}
		{$OV-}
		{$ENDC}

		{$IFC qTrace}
		{$D++ generate tracepoints (%_BP/%_EP/%_EX) }
		{$N+}
		{$ELSEC}
		{$IFC qNames}
		{$D+ generate MacsBug names }
		{$N+}
		{$ELSEC}
		{$D-}
		{$N-}
		{$ENDC}
		{$ENDC}
		{[f+]}

		USES
			{  requirements for this unit's interface. }
			Types;

		CONST
			{ set constants from the standard compiletime variables.
			These constants may be used in expressions such that if the expression statically
			evaluates to false then the compiler will omit conditioned code.

			if NOT qNeedsColorQD THEN
				mumble;

			}

			{[f-]}
			{$IFC UNDEFINED __cplusplus}							{ in C++ the compile variables can be used
																	in expressions }
			{$IFC qModelFarCode}
			qModelFarCode			= TRUE;
			{$ElseC}
			qModelFarCode			= FALSE; {$EndC}

			{$IFC qModelFarData}
			qModelFarData			= TRUE;
			{$ElseC}
			qModelFarData			= FALSE; {$EndC}


			{$IFC qDebug}
			qDebug				= TRUE;
			{$ElseC}
			qDebug				= FALSE; {$EndC}
			{ If qDebug then this flag is TRUE else FALSE. }

			{$IFC qDebugTheDebugger}
			qDebugTheDebugger	= TRUE;
			{$ElseC}
			qDebugTheDebugger	= FALSE; {$EndC}
			{ If qDebugTheDebugger then this flag is TRUE else FALSE. }

			{$IFC qInspector}
			qInspector			= TRUE;
			{$ElseC}
			qInspector			= FALSE; {$EndC}
			{ If qInspector then this flag is TRUE else FALSE. }

			{$IFC qMacApp}
			qMacApp 			= TRUE;
			{$ElseC}
			qMacApp 			= FALSE; {$EndC}
			{ If qMacApp then this flag is TRUE else FALSE. }

			{$IFC qNames}
			qNames				= TRUE;
			{$ElseC}
			qNames				= FALSE; {$EndC}
			{ If qNames then this flag is TRUE else FALSE. }

			{$IFC qNeedsColorQD}
			qNeedsColorQD		= TRUE;
			{$ElseC}
			qNeedsColorQD		= FALSE; {$EndC}
			{ If qNeedsColorQD then this flag is TRUE else FALSE. }

			{$IFC qNeedsFPU}
			qNeedsFPU			= TRUE;
			{$ElseC}
			qNeedsFPU			= FALSE; {$EndC}
			{ If qNeedsFPU then this flag is TRUE else FALSE. }

			{$IFC qNeedsMC68020}
			qNeedsMC68020		= TRUE;
			{$ElseC}
			qNeedsMC68020		= FALSE; {$EndC}
			{ If qNeedsMC68020 then this flag is TRUE else FALSE. }

			{$IFC qNeedsMC68030}
			qNeedsMC68030		= TRUE;
			{$ElseC}
			qNeedsMC68030		= FALSE; {$EndC}
			{ If qNeedsMC68030 then this flag is TRUE else FALSE. }

			{$IFC qPerform}
			qPerform			= TRUE;
			{$ElseC}
			qPerform			= FALSE; {$EndC}
			{ If qPerform then this flag is TRUE else FALSE. }

			{$IFC qRangeCheck}
			qRangeCheck 		= TRUE;
			{$ElseC}
			qRangeCheck 		= FALSE; {$EndC}
			{ If qRangeCheck then this flag is TRUE else FALSE. }

			{$IFC qTemplateViews}
			qTemplateViews		= TRUE;
			{$ElseC}
			qTemplateViews		= FALSE; {$EndC}
			{ If qTemplateViews then this flag is TRUE else FALSE. }

			{$IFC qTrace}
			qTrace				= TRUE;
			{$ElseC}
			qTrace				= FALSE; {$EndC}
			{ If qTrace then this flag is TRUE else FALSE. }

			{$IFC qNeedsSystem7}
			qNeedsSystem7 = TRUE;
			{$ElseC}
			qNeedsSystem7 = FALSE; {$EndC}
			{ If qNeedsSystem7 then this flag is TRUE else FALSE. }

			{$IFC qNeedsAppleEventMgr}
			qNeedsAppleEventMgr = TRUE;
			{$ElseC}
			qNeedsAppleEventMgr = FALSE; {$EndC}
			{ If qNeedsAppleEventMgr then this flag is TRUE else FALSE. }

			{$IFC qNeedsEditionMgr}
			qNeedsEditionMgr	= TRUE;
			{$ElseC}
			qNeedsEditionMgr	= FALSE; {$EndC}
			{ If qNeedsEditionMgr then this flag is TRUE else FALSE. }

			{$IFC qNeedsHelpMgr}
			qNeedsHelpMgr		= TRUE;
			{$ElseC}
			qNeedsHelpMgr		= FALSE; {$EndC}
			{ If qNeedsHelpMgr then this flag is TRUE else FALSE. }

			{$IFC qNeedsProcessMgr}
			qNeedsProcessMgr	= TRUE;
			{$ElseC}
			qNeedsProcessMgr	= FALSE; {$EndC}
			{ If qNeedsProcessMgr then this flag is TRUE else FALSE. }

			{$IFC qNeedsAliasMgr}
			qNeedsAliasMgr		= TRUE;
			{$ElseC}
			qNeedsAliasMgr		= FALSE; {$EndC}
			{ If qNeedsAliasMgr then this flag is TRUE else FALSE. }

			{$IFC qNeedsFolderMgr}
			qNeedsFolderMgr 	= TRUE;
			{$ElseC}
			qNeedsFolderMgr 	= FALSE; {$EndC}
			{ If qNeedsFolderMgr then this flag is TRUE else FALSE. }

			{$IFC qExperimentalAndUnsupported}
			qExperimentalAndUnsupported = TRUE;
			{$ElseC}
			qExperimentalAndUnsupported = FALSE; {$EndC}
			{ If qExperimentalAndUnsupported then this flag is TRUE else FALSE.
			Flag that indicates that the user wants to play around with the new, UNSUPPORTED
			stuff that we on the MacApp team are fiddling with.

			WARNING, Setting this flag true voids your MacApp warranty.  It is used to condition
			features that are experimental and UNSUPPORTED.  Features enabled with this flag
			may or may not be included in future versions of MacApp and are here for informational
			purposes only.

			'Nuff said. }

			{$EndC}
			{[f+]}

			{ ASCII Character Constants }
			chBackspace 		= CHR(8);				{ ASCII code for Backspace character }
			chClear 			= CHR(27);				{ ASCII code for Clear key (aka ESC) }
			chDown				= CHR(31);				{ ASCII code for down arrow }
			chEnd				= CHR(4);				{ ASCII code for the End key }
			chEnter 			= CHR(3);				{ ASCII code for Enter character }
			chEscape			= CHR(27);				{ ASCII code for Escape (aka Clear) key }
			chFunction			= CHR(16);				{ ASCII code for any function key }
			chFwdDelete 		= CHR($7F); 			{ ASCII code for forward delete }
			chHelp				= CHR(5);				{ ASCII code for Help key }
			chHome				= CHR(1);				{ ASCII code for the Home key }
			chLeft				= CHR(28);				{ ASCII code for left arrow }
			chPageDown			= CHR(12);				{ ASCII code for Page Down key }
			chPageUp			= CHR(11);				{ ASCII code for Page Up key }
			chReturn			= CHR(13);				{ ASCII code for Return character }
			chRight 			= CHR(29);				{ ASCII code for right arrow }
			chSpace 			= CHR(32);				{ ASCII code for Space character }
			chTab				= CHR(9);				{ ASCII code for Tab character }
			chUp				= CHR(30);				{ ASCII code for up arrow }

			{ Virtual Key Code Constants }
			kClearVirtualCode	= 71;					{ Clear key virtual code }
			kEscapeVirtualCode	= 53;					{ Escape key virtual code }
			kF10VirtualCode 	= 109;					{ F10 virtual key code }
			kF11VirtualCode 	= 103;					{ F11 virtual key code }
			kF12VirtualCode 	= 111;					{ F12 virtual key code }
			kF13VirtualCode 	= 105;					{ F13 virtual key code }
			kF14VirtualCode 	= 107;					{ F14 virtual key code }
			kF15VirtualCode 	= 113;					{ F15 virtual key code }
			kF1VirtualCode		= 122;					{ F1 virtual key code }
			kF2VirtualCode		= 120;					{ F2 virtual key code }
			kF3VirtualCode		= 99;					{ F3 virtual key code }
			kF4VirtualCode		= 118;					{ F4 virtual key code }
			kF5VirtualCode		= 96;					{ F5 virtual key code }
			kF6VirtualCode		= 97;					{ F6 virtual key code }
			kF7VirtualCode		= 98;					{ F7 virtual key code }
			kF8VirtualCode		= 100;					{ F8 virtual key code }
			kF9VirtualCode		= 101;					{ F9 virtual key code }
			kFwdDelVirtualCode	= 117;					{ Forward Delete virtual code }

			kSysFontName		= '';					{ GetFontNum converts this to zero. }
			kApplFontName		= 'A';					{ GetFontNum converts this to one. }

			kWordAlign			= TRUE; 				{ Constant for OffsetPtr }
			kDontAlign			= FALSE;				{ Constant for OffsetPtr }

			kHexDigits			= '0123456789ABCDEF';	{ Digits in base 16 }

			kNoFileRefnum		= - (MaxInt - 1);		{ an invalid file refnum; used to indicate
														 an unopened file (actually interpreted by
														 HFS as a volume number. If you have this
														 many volumes you are sick indeed! }
			kNoStaticLink		= - 1;					{ Pascal functions and procedures can take
														 "procedure" parameters which are like C++
														 function pointers with the additional
														 capabilitly to access upscope variables.
														 This is particularly convenient for "call
														 back" type procedures because they are
														 executed in their original scope. Well
														 kids, C++ has no equivalent structure, so
														 all of the interfaces that call for a
														 "procedure" parameter have been translated
														 to a function pointer and a static link
														 (upscope variable accessor) in the C++
														 headers. The static link can be used to
														 pass any useful context information
														 around, see the C++ examples. HOWEVER,
														 when a static link is not used or
														 required; C++ users must insert a non-NIL
														 placeholder. The receiving code is in
														 pascal and includes special detection of
														 the case where NIL is passed for static
														 link. When NIL is passed in, >>> NO <<<
														 static link will be passed to the
														 "procedure" parameter when it is called!
														 You can imagine the ensuing heartache for
														 well meaning C++ users as their stack gets
														 tromped. The answer, my friends is to have
														 C++ users pass kNoStaticLink when they
														 don't wish to use the static link. }

			{ Field types for the Fields methods. These are understood by StdFieldToString.
			Negative values are reserved for MacApp.
			}
			bBoolean			= - 1;
			bByte				= - 2;
			bChar				= - 3;
			bClass				= - 4;
			bCmdNumber			= - 5;
			bCntlAdornment		= - 6;
			bControlHandle		= - 7;
			bDouble 			= - 8;					{ SANE Double }
			bExtended			= - 9;					{ SANE Extended }
			bFixed				= - 10;
			bFontName			= - 11;
			bGrafPtr			= - 12;
			bHandle 			= - 13;
			bHexInteger 		= - 14;
			bHexLongInt 		= - 15;
			bHighByte			= - 16;
			bHLState			= - 17;
			bIDType 			= - 18;
			bInteger			= - 19;
			bLongInt			= - 20;
			bLowByte			= - 21;
			bObject 			= - 22;
			bOSType 			= - 23;
			bPattern			= - 24;
			bPoint				= - 25;
			bPointer			= - 26;
			bReal				= - 27; 				{ Pascal Real }
			bRect				= - 28;
			bResType			= - 29;
			bRGBColor			= - 30;
			bRgnHandle			= - 31;
			bSingle 			= - 32; 				{ SANE Single }
			bSizeDeterminer 	= - 33;
			bString 			= - 34;
			bStringHandle		= - 35;
			bStyle				= - 36;
			bTEHandle			= - 37;
			bTitle				= - 38;
			bVCoordinate		= - 39;
			bVPoint 			= - 40;
			bVHSelect			= - 41;
			bVRect				= - 42;
			bWindowPtr			= - 43;
			bTextStyle			= - 44;
			bConfigRec			= - 45;
			bScrapStuff 		= - 46;
			bQDProcs			= - 47;
			bCQDProcs			= - 48;
			bSectionRecord		= - 49;

			{ Constants used by StdFieldToCount to determine number of fields in compound type }
			kTextStyleFields	= 4;
			kQDProcsFields		= 14;
			kCQDProcsFields 	= 20;
			kScrapStuffFields	= 5;
			kConfigRecFields	= 27;
			kSectionRecordFields = 11;

			kMANameSize 		= 255;					{ Maximum size string supported for an
														 MAName }

			kAutoWrap			= TRUE; 				{ Want to AutoWrap (for MATextBox)}
			kNoAutoWrap 		= NOT kAutoWrap;		{ Don't want to AutoWrap (for MATextBox)}
			kEraseFirst 		= TRUE; 				{ Want to erase first (for MATextBox)}
			kNoEraseFirst		= NOT kEraseFirst;		{ Don't want to erase first (for MATextBox)}
			kSpaceForCaret		= TRUE; 				{ Want to leave space for an insertion caret
														 (for MATextBox)}
			kNoSpaceForCaret	= NOT kSpaceForCaret;	{ Don't want to leave space for an insertion
														 caret (for MATextBox)}

			{ The following constants are instructions used in the various inline functions. }
			kMoveLImmed 		= $2EBC;				{ MOVE.L of immediate data to (SP) }
			kMoveBAbsolute		= $1EB8;				{ MOVE.B of absolute Address data to (SP) }
			kMoveWAbsolute		= $3EB8;				{ MOVE.W of absolute Address data to (SP) }
			kMoveLAbsolute		= $2EB8;				{ MOVE.L of absolute Address data to (SP) }

			{ H I G H L I G H T I N G }
			hlOff				= 1;					{ the selection is to be unhighlighted }
			hlDim				= 2;					{ the selection is to be dimly highlighted }
			hlOn				= 4;					{ the selection is to be fully highlighted }

			{ these constants can be used to test for combinations of fromHL+toHL,
			when you do not care which is from and which is to }
			hlOffDim			= hlOff + hlDim;
			hlDimOff			= hlOffDim;
			hlDimOn 			= hlDim + hlOn;
			hlOnDim 			= hlDimOn;
			hlOffOn 			= hlOff + hlOn;
			hlOnOff 			= hlOffOn;

			{ CHANGE NOTIFICATION AND EVENT/COMMAND NUMBERS }
			
			kNoChange			= - 1;

			{Special command codes }

			cNoEvent			= 0;					{ <!> Event number representing no event }
			cNoCommand			= cNoEvent;					{ <!> Command number representing no command }
			cCantUndo			= - 1;					{ <!> Passed to TApplication.SetUndoText to
														 indicate that the command cannot be
														 undone. }

		TYPE
			{ Some handy types }

			IntegerPtr			= ^INTEGER;
			IntegerHandle		= ^IntegerPtr;

			LongIntPtr			= ^LONGINT;
			LongIntHandle		= ^LongIntPtr;

			HandlePtr			= ^Handle;
			HandleHandle		= ^HandlePtr;

			BooleanPtr			= ^BOOLEAN;
			BooleanHandle		= ^BooleanPtr;

			SignedBytePtr		= ^SignedByte;
			SignedByteHandle	= ^SignedBytePtr;

			String8 			= STRING[8];

			MAName				= Str255;				{ A Name in MacApp. ClassNames,
														 MethodNames, IVar Names, ProcNames, etc.
														 ??? Should we punt on stringlength and
														 only define pointers to these strings? }
			MANamePtr			= ^MAName;	
			MANameHandle		= ^MANamePtr;

			IDType				= ResType;				{ MacApp uses four byte "signatures" in
														 several places. They are a handy way to
														 have a partially human readable quantity
														 that only takes up a long. }

			TypeList 			= ARRAY [1..8000] OF OSType;	{ Actually, variable length }
			TypeListPtr 		= ^TypeList;
			TypeListHandle		= ^TypeListPtr;

			AdornPieces 		= (adnLineTop,			{ Draw a line at the top of the extent }
								   adnLineLeft, 		{ Draw a line on the left side of the extent
														 }
								   adnLineBottom,		{ Draw a line on the bottom side of the
														 extent }
								   adnLineRight,		{ Draw a line on the right side of the
														 extent }
								   adnDummy,			{ Place filler }
								   adnOval, 			{ Do a FrameOval using the extent }
								   adnRRect,			{ Do a (16,16) FrameRoundRect using the
														 extent }
								   adnShadow);			{ Draw drop shadows against framed
														 selections }
			CntlAdornment		= SET OF AdornPieces;

			EvtNumber			= LONGINT;
			CmdNumber			= EvtNumber;				{ CmdNumbers tell MacApp what verb is
														 intended after mapping from menu/item. }

			TrackPhase			= (trackBegin, trackContinue, trackEnd);

			VCoordinate 		= LONGINT;				{ VCoordinates are 32 bits as compared to QD
														 Coordinates which are 16 bits }

			VPointSelector		= (VPtPair, VPtArray);	{ so C++ unions can have names }
			VPoint				= RECORD				{ VPoints are synonomous with QD Point, only
														 in 32 bit space }
				CASE VPointSelector OF
					VPtPair:
						(v, h:				 VCoordinate);
					VPtArray:
						(vh:				 ARRAY [VHSelect] OF VCoordinate);
				END;

			VRectSelector		= (VRQuad, VRPair);
			VRect				= RECORD				{ VRects are synonomous with QD Rects, only
														 in 32 bit space }
				CASE VRectSelector OF
					VRQuad:
						(top, left, bottom, right: VCoordinate);
					VRPair:
						(topLeft, botRight:  VPoint);
				END;

			ConfigRecord		= RECORD				{ ??? should this be PACKED ??? if so, how
														 will this affect C++ users? }
			{ Values from SysEnvirons (Version 1) }
				environsVersion:	INTEGER;
				machineType:		INTEGER;
				systemVersion:		INTEGER;
				processor:			INTEGER;
				hasFPU: 			BOOLEAN;
				hasColorQD: 		BOOLEAN;
				keyboardType:		INTEGER;
				atDrvrVersNum:		INTEGER;
				sysVRefNum: 		INTEGER;
				teVersion:			LONGINT;			{ TextEdit version }
								{ Derived values }
				hasROM128K: 		BOOLEAN;			{ ROM 128K - OR - Better }
				hasHFS: 			BOOLEAN;

				hasHierarchicalMenus: BOOLEAN;
				hasScriptManager:	BOOLEAN;
				hasStyleTextEdit:	BOOLEAN;
				hasSoundManager:	BOOLEAN;
				hasWaitNextEvent:	BOOLEAN;
				hasSCSI:			BOOLEAN;
				hasDesktopBus:		BOOLEAN;
				hasAUX: 			BOOLEAN;
				hasTempMem: 		BOOLEAN;			{ TRUE if Process Manager temp memory is
														 avail }
				has32BitQD: 		BOOLEAN;			{ TRUE if 32 bit Quickdraw is installed }
				hasAppleEventMgr:	BOOLEAN;			{ TRUE if running under System 7.0 }
				hasEditionMgr:		BOOLEAN;			{ TRUE if running under System 7.0 }
				hasHelpMgr: 		BOOLEAN;			{ TRUE if running under System 7.0 }
				hasAliasMgr:		BOOLEAN;			{ TRUE if running under System 7.0 }
				hasFolderMgr:		BOOLEAN;			{ TRUE if running under System 7.0 }
				hasProcessMgr:		BOOLEAN;			{ TRUE if running under System 7.0 }
				hasPopupCDEF:		BOOLEAN;			{ TRUE if running under System 7.0 }
				END;

			{ H I G H L I G H T I N G }
			HLState 			= hlOff..hlOn;
	CONST
				{!!! compatibility sop for 2.0}
				trackPress = trackBegin;
				trackMove = trackContinue;
				trackRelease = trackEnd;


END.
