UNIT UTabBehaviors;

INTERFACE

	USES
		{}
		Types, MacAppTypes, Memory, UPascalObject, UObject, Events, AppleEvents, UEvtHandler, 
		Balloons, UEvent, UView, UBehavior;

	TYPE

		TView				= OBJECT; EXTERNAL;
		TToolboxEvent		= OBJECT; EXTERNAL;
		TEvent				= OBJECT; EXTERNAL;

		TTabber = OBJECT(TBehavior)
			fRecursive:	BOOLEAN;
			fFoundCurrent: BOOLEAN;
			fFirst:			TView;
			fLast:			TView;
			fNext:			TView;
			fPrevious:		TView;

			PROCEDURE TTabber.Initialize; OVERRIDE;
			PROCEDURE TTabber.ITabber(recursive: Boolean);
			PROCEDURE TTabber.DoKeyCommand(event: TToolboxEvent); OVERRIDE;
			PROCEDURE TTabber.Tab(tabBackward: Boolean);
			PROCEDURE TTabber.Reset;
			PROCEDURE TTabber.FindSubViewTargets(parent: TView);
			PROCEDURE TTabber.FindTargets;
		END;

		TViewTabber = OBJECT(TTabber)
			PROCEDURE TViewTabber.FindTargets; OVERRIDE;
		END;

		TWindowTabber = OBJECT(TTabber)
			PROCEDURE TWindowTabber.FindTargets; OVERRIDE;
		END;

END.