/*
	BusyCursor.r
	MacApp BusyCursor Resources
	Copyright  1990 Apple Computer, Inc.	All rights reserved.
*/

/*  Auto-Include the requirements for this source */
#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif



/*-------------------------------------acur-------------------------------------*/
type 'acur' {
		integer = $$Countof(StringArray);
		integer = 0;					// index
		array StringArray {
		integer;						// frame
		integer = 0;					// fill
		};
};

resource 'acur' (256,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable, preload) {
	{ 4, 357, 358, 359, 360, 361, 362, 363 };
};

resource 'CURS' (357,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 81 40 82 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (358,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9F 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (359,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 82 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (360,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 84 40 84 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (361,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"9C 60 88 40 90 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (362,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 80 40 80 60"
	$"BC 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};

resource 'CURS' (363,
#if qNames
	"BusyCursor",
#endif
	locked, nonpurgeable) {
	$"3F 00 3F 00 3F 00 3F 00 40 80 80 40 90 40 88 60"
	$"9C 60 80 40 80 40 40 80 3F 00 3F 00 3F 00 3F",
	$"3F 00 3F 00 3F 00 3F 00 7F 80 FF C0 FF C0 FF C0"
	$"FF C0 FF C0 FF C0 7F 80 3F 00 3F 00 3F 00 3F",
	{8, 8}
};
