/*
	DeskScrapView.r
	MacApp Clipboard display Resources
	Copyright  1986-1990 Apple Computer, Inc.	All rights reserved.
*/

/*  Auto-Include the requirements for this source */
#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

#ifndef __ViewTypes__
#include "ViewTypes.r"
#endif

#if qTemplateViews
resource 'view' (kIDClipWindow,
#if qNames
	"IDClipWindow",
#endif
	purgeable)  { {
	root, 'WIND', { 270, 40 }, { 80, 410 }, sizeVariable, sizeVariable, notShown, enabled,
	Window {
		"",
			zoomDocProc, goAwayBox, resizable, modeless, ignoreFirstClick, dontFreeOnClosing,
			disposeOnFree, closesDocument, openWithDocument, dontAdaptToScreen,
			dontStagger, dontForceOnScreen, dontCenter, noID, "Clipboard" };

	'WIND', 'SCLR', { 0, 0 }, { 80-kSBarSizeMinus1, 410-kSBarSizeMinus1 },
	sizeRelSuperView, sizeRelSuperView, shown, enabled,
	Scroller {
		"",
			vertScrollBar, horzScrollBar, 0, 0, 16, 16,
			vertConstrain, horzConstrain, { 0, 0, 0, 0 } };
	
	'SCLR', kIDClipView, { 0, 0 }, { 500, 500 }, sizeVariable, sizeVariable, shown, disabled,
	View { "TDeskScrapView" }
} };
#else
resource 'WIND' (kIDClipWindow,
#if qNames
	"IDClipWindow",
#endif
	purgeable) {
	{270, 40, 350, 450},
	zoomDocProc,
	invisible,
	goaway,
	0x0,
	"Clipboard",
	centerMainScreen
};
#endif


