#include "SysTypes.r";
#include "Types.r";

resource 'STR ' (1010, "End of Line") {
	"\n\n"
};

resource 'STR ' (2010, "C++ End of Line") {
	"\n\n"
};

resource 'STR ' (1020, "heading") {
	"Unit U^0;\n\nINTERFACE\n\nUSES\n^TABUMacApp;\n"
	"\nTYPE\n"
};

resource 'STR ' (2020, "C++ heading") {
	"/*Unit U^0*/\n\n/*header file*/\n\n#ifndef __U"
	"^0__\n^TAB#define __U^0__\n\n#ifndef __UMacApp__\n"
	"^TAB#include <U"
	"MacApp.h>\n#endif __UMacApp__\n\n"
};

resource 'STR ' (1030, "type def") {
	"^TAB^0 = OBJECT(^1)\n\n"
};

resource 'STR ' (2030, "C++ type def") {
	"\nclass ^0 : public ^1 {\n\n"
};

resource 'STR ' (1040, "fields interface note") {
	"^TAB^TAB{Fields}\n"
};

resource 'STR ' (2040, "C++ fields interface note") {
	"private:\n"
};

resource 'STR ' (1050, "methods interface note") {
	"^TAB^TAB{Methods}\n"
};

resource 'STR ' (2050, "C++ methods interface note") {
	"public:\n"
};

resource 'STR ' (1060, "collaborators interface note") {
	"^TAB^TAB{Collaborators}\n"
};

resource 'STR ' (2060, "C++ collaborators interface note") {
	"protected:\n"
};

resource 'STR ' (1070, "end of type def") {
	"^TABEND;\n\n\n"
};

resource 'STR ' (2070, "C++ end of type def") {
	"};\n\n\n"
};

resource 'STR ' (1080, "STD Method interface declaration") {
	"^TAB^TABPROCEDURE ^0.^1;\n"
};

resource 'STR ' (2080, "C++ STD Method interface declaration") {
	"^TABvirtual pascal void ^1(void);\n"
};

resource 'STR ' (1090, "OVERRIDE Method interface dec.") {
	"^TAB^TABPROCEDURE ^0.^1; OVERRIDE;\n"
};

resource 'STR ' (2090, "C++ OVERRIDE Method interface dec.") {
	"^TABvirtual pascal void ^1(void); //OVERRIDE"
	"\n"
};

resource 'STR ' (1100, "Get Accessor interface dec.") {
	"^TAB^TABFUNCTION ^0.^1: ^2;\n"
};

resource 'STR ' (2100, "C++ Get Accessor interface dec.") {
	"^TAB^2^4 ^1(void);\n"
};

resource 'STR ' (1110, "Set Accessor interface dec.") {
	"^TAB^TABPROCEDURE ^0.^1(^3: ^2);\n"
};

resource 'STR ' (2110, "C++ Set Accessor interface dec.") {
	"^TABvoid ^1(^2^4 ^3);"
	"\n"
};

resource 'STR ' (1120, "implementation") {
	"IMPLEMENTATION\n\n\n"
};

resource 'STR ' (2120, "C++ implementation") {
	""
};

resource 'STR ' (1130, "end of unit") {
	"\nEND."
};

resource 'STR ' (2130, "C++ end of unit") {
	"\n#endif\n"
};

resource 'STR ' (1140, "implementation note") {
	"^TAB{---------- Methods for ^0 ---------"
	"-}\n\n"
};

resource 'STR ' (2140, "C++ implementation note") {
	"^TAB//---------- Member Functions for ^0 --------"
	"--\n\n"
};

resource 'STR ' (1145, "include files for impl file") {
	""
};

resource 'STR ' (2145, "C++ include files for impl file") {
	"#include \"^0\"\n"
};

resource 'STR ' (1150, "Get Accessor implementation") {
	"^TAB{$S ARes}\n^0\n^TAB^TABBEGIN\n^TAB^TAB^"
	"TAB^1:= ^2;\n^TAB^TABEND;\n\n"
};

resource 'STR ' (2150, "C++ Get Accessor implementation") {
	/*"#pragma segment ARes\n^0\n^TAB^TAB{\n^TAB^T"
	"AB^TAB^TABreturn ^2;\n^TAB^TAB}\n\n"*/ ""
};

resource 'STR ' (1160, "std method implementation") {
	"^TAB{$S ARes}\n^0\n^TAB^TABBEGIN\n^TAB^TABE"
	"ND;\n\n"
};

resource 'STR ' (2160, "C++ std method implementation") {
	"^TAB#pragma segment ARes\n^0\n^TAB^TAB{\n^T"
	"AB^TAB}\n\n"
};

resource 'STR ' (1170, "fields method declaration") {
	"^TAB^TABPROCEDURE ^0.Fields(PROCEDURE Do"
	"ToField(\n^TAB^TAB^TABfieldName: Str255; "
	"fieldAddr: Ptr; fieldType: INTEGER)); OV"
	"ERRIDE;\n"
};

resource 'STR ' (2170, "C++ fields method declaration") {
	"^TABvirtual pascal void Fields(pascal vo"
	"id (*DoToField)(^TAB^TAB^TABStringPtr fi"
	"eldname, \n^TAB^TAB^TAB^TABPtr fieldAddr, sho"
	"rt fieldType, void*DoToField_StaticLink), void"
	" *DoToField_StaticLink); //OVERRIDE\n"
};

resource 'STR ' (1180, "fields implementation part 1") {
	"^TAB{$S AFields}\n"
};

resource 'STR ' (2180, "C++ fields implementation part 1") {
	"#pragma segment AFields\n"
};

resource 'STR ' (1185, "fields implementation part 2") {
	"\n^TAB^TABBEGIN\n^TAB^T"
	"AB^TABDoToField('^1', NIL, bClass);\n"
};

resource 'STR ' (2185, "C++ fields implementation part 2") {
	"\n^TAB^TAB{\n^TA"
	"B^TAB^TAB^TABDoToField(\"\\p^1\", NULL, bClass, DoToField_StaticLink"
	");\n"
};

resource 'STR ' (1190, "fields implementation part 3") {
	"^TAB^TAB^TABINHERITED Fields(DoToField);"
	"\n^TAB^TABEND;\n\n"
};

resource 'STR ' (2190, "C++ fields implementation part 3") {
	"^TAB^TAB^TAB^TABinherited:: Fields(DoToField"
	", DoToField_StaticLink);\n^TAB^TAB}\n\n"
};

resource 'STR ' (1200, "fields method code line") {
	"^TAB^TAB^TABDoToField('^0', @^0, ^1);\n"
};

resource 'STR ' (2200, "C++ fields method code line") {
	"^TAB^TAB^TAB^TABDoToField(\"\\p^0\", (Ptr) &^0, "
	"^1, DoToField_StaticLink);\n"
};

resource 'STR ' (1210, "Include Statement") {
	"{$I ^0}\n"
};

resource 'STR ' (2210, "C++ Include Statement") {
	""
};

resource 'STR ' (1220, "FieldItemDeclarationStr") {
	"^TAB^TAB^0: ^1;"
};


resource 'STR ' (2220, "C++ FieldItemDeclarationStr") {
	"^TAB^TAB^1 ^4^0;"
};

resource 'STR ' (1230, "Collaborator Declaration Str") {
	"^TAB^TAB^0: ^1;"
};

resource 'STR ' (2230, "C++ Collaborator Declaration Str") {
	"^TAB^TAB^1 *^0;"
};

resource 'STR ' (1240, "Implementation File Name") {
	"U^0.inc1.p"
};

resource 'STR ' (2240, "C++ Implementation File Name") {
	"U^0.cp"
};

resource 'STR ' (1250, "Interface File Name") {
	"U^0.p"
};

resource 'STR ' (2250, "C++ Interface File Name") {
	"U^0.h"
};

resource 'STR ' (1260, "LFAndIndentStr") {
	""
};

resource 'STR ' (2260, "C++ LFAndIndentStr") {
	"\n^TAB"
};


resource 'STR ' (1270, "Set Accessor implementation") {
	"^TAB{$S ARes}\n^0\n^TAB^TABBEGIN\n^TAB^TAB^"
	"TAB^1:= ^2;\n^TAB^TABEND;\n\n"
};

resource 'STR ' (2270, "C++ Set Accessor implementation") {
	/*"#pragma segment ARes\n^0\n^TAB^TAB{\n^TAB^T"
	"AB^TAB^TAB^1 = ^2;\n^TAB^TAB}\n\n"*/ ""
};


resource 'STR ' (1280, "FieldItemImplDeclarationStr") {
	"^TAB^TAB^0: ^1;"
};


resource 'STR ' (2280, "C++ FieldItemImplDeclarationStr") {
	"^TAB^TAB^1 ^4^0;"
};

resource 'STR ' (1290, "STD Method impl interface declaration") {
	"^TAB^TABPROCEDURE ^0.^1;\n"
};

resource 'STR ' (2290, "C++ STD Method impl interface declaration") {
	"^TABpascal void \n^TAB^0::^1()\n"
};

resource 'STR ' (1300, "OVERRIDE Method impl interface dec.") {
	"^TAB^TABPROCEDURE ^0.^1; OVERRIDE;\n"
};

resource 'STR ' (2300, "C++ OVERRIDE Method impl interface dec.") {
	"^TABpascal void \n^TAB^0::^1() //OVERRIDE"
	"\n"
};

resource 'STR ' (1310, "impl fields method declaration") {
	"^TAB^TABPROCEDURE ^0.Fields(PROCEDURE Do"
	"ToField(\n^TAB^TAB^TABfieldName: Str255; "
	"fieldAddr: Ptr; fieldType: INTEGER)); OV"
	"ERRIDE;\n"
};

resource 'STR ' (2310, "impl C++ fields method declaration") {/*"just testing"*/
	"^TABpascal void \n^TAB^0::Fields(pascal vo"
	"id (*DoToField)(StringPtr fi"
	"eldname, Ptr fieldAddr,\n^TAB^TAB^TAB^TAB sho"
	"rt fieldType, void *DoToField_StaticLink), v"
	"oid *DoToField_StaticLink) //OVERRIDE\n" 
};

resource 'STR ' (1320, "Impl Get Accessor interface dec.") {
	"^TAB^TABFUNCTION ^0.^1: ^2;\n"
};

resource 'STR ' (2320, "Impl C++ Get Accessor interface dec.") {
	""
};

resource 'STR ' (1330, "Set Accessor interface dec.") {
	"^TAB^TABPROCEDURE ^0.^1(^3: ^2);\n"
};

resource 'STR ' (2330, "C++ Set Accessor interface dec.") {
	""
	"\n"
};

resource 'STR ' (1340, "Impl Collaborator Declaration Str") {
	"^TAB^TAB^0: ^1;"
};

resource 'STR ' (2340, "Impl C++ Collaborator Declaration Str") {
	"^TAB^TAB^1 ^0;"
};

resource 'STR ' (1350, "inline get accessor implementation") {
	""
};

resource 'STR ' (2350, "C++ inline get accessor implementation") {
	"^TABinline ^2^4^TAB^0::^1() { return ^5; };\n"
};

resource 'STR ' (1360, "inline set accessor implementation") {
	""
};

resource 'STR ' (2360, "C++ inline set accessor implementation") {
	"^TABinline void^TAB^0::^1(^2^4 ^3) { ^5 = ^3; };\n"
};

resource 'STR ' (1370, "Forward Class Declaration String") {
	""
};

resource 'STR ' (2370, "C++ Forward Class Declaration String") {
	"class ^0; //Forward Declaration\n"
};


resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'desg',
	1,
	""
};

type 'crcc' as 'STR ';				/* This helps readability by redifining 'crcc' as a 'STR ' */

resource 'crcc' (0, "Owner resource") {
	" 1990 Apple Computer, Inc."
};

resource 'BNDL' (128) {
	'crcc',
	0,
	{
		'FREF',
		{
			0, 128,
			1, 129
		},
		'ICN#',
		{
			0, 128,
			1, 129
		}
	}
};

resource 'ALRT' (201, "phAboutApp", purgeable) {
	{90, 100, 308, 538},
	201,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (201, "phAboutApp", purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{186, 292, 206, 372},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 70, 177, 313},
		StaticText {
			disabled,
			"^0\n\nThis program was written with MacApp"
			"  1985-1990 Apple Computer, Inc. by St"
			"eve Strong and Andy Wildenberg of Developer"
			" University."
		},
		/* [3] */
		{10, 20, 42, 52},
		Icon {
			disabled,
			1
		},
		/* [4] */
		{10, 322, 148, 423},
		Picture {
			disabled,
			1000
		}
	}
};

resource 'STR#' (1001, "kDefaultCredits", purgeable) {
	{	/* array StringArray: 11 elements */
		/* [1] */
		"Special thanks to the following people:",
		/* [2] */
		"Dave Wilson",
		/* [3] */
		"Richard Rodseth",
		/* [4] */
		"Chris Knepper",
		/* [5] */
		"Mo3user Wo3man",
		/* [6] */
		"Keith Rollin",
		/* [7] */
		"Steve Friedrich",
		/* [8] */
		"Scott Jenson",
		/* [9] */
		"Brenda Buchwitz for giving me the time.",
		/* [10] */
		"David Szetela for his gentle and yet eve"
		"r-present support.",
		/* [11] */
		"The Developer University staff for the d"
		"ecorations in my cube.",
		/* [12] */
		"Carol",
		/* [13] */
		"Gretchen"
	}
};
resource 'STR#'	(1002, "CrossLanguageLookupTable", purgeable) {
	{
		/* The next element*/
		"Boolean",
		"Boolean",
		"bBoolean",
		"n",
		/* The next element*/
		"Byte",
		"Byte",
		"bByte",
		"n",
		/* The next element*/
		"Char",
		"char",
		"bChar",
		"n",
		/* The next element*/
		"CmdNumber",
		"CmdNumber",
		"bCmdNumber",
		"n",
		/* The next element*/
		"CntlAdornment",
		"CntlAdornment",
		"bCntlAdornment",
		"n",
		/* The next element*/
		"ControlHandle",
		"ControlHandle",
		"bControlHandle",
		"n",
		/* The next element*/
		"Double",
		"double",
		"bDouble",
		"?",
		/* The next element*/
		"Extended",
		"extended",
		"bExtended",
		"?",
		/* The next element*/
		"Fixed",
		"Fixed",
		"bFixed",
		"n",
		/* The next element*/
		"GrafPtr",
		"GrafPtr",
		"bGrafPtr",
		"n",
		/* The next element*/
		"Handle",
		"Handle",
		"bHandle",
		"n",
		/* The next element*/
		"HLState",
		"HLState",
		"bHLState",
		"n",
		/* The next element*/
		"IDType",
		"IDType",
		"bIDType",
		"?",
		/* The next element*/
		"Integer",
		"short",
		"bInteger",
		"n",
		/* The next element*/
		"LongInt",
		"long",
		"bLongInt",
		"n",
		/* The next element*/
		"OSType",
		"OSType",
		"bOSType",
		"n",
		/* The next element*/
		"Pattern",
		"Pattern",
		"bPattern",
		"y",
		/* The next element*/
		"Point",
		"Point",
		"bPoint",
		"y",
		/* The next element*/
		"Ptr",
		"Ptr",
		"bPointer",
		"n",
		/* The next element*/
		"Real",
		"float",
		"bReal",
		"n",
		/* The next element*/
		"Rect",
		"Rect",
		"bRect",
		"y",
		/* The next element*/
		"ResType",
		"ResType",
		"bResType",
		"n",
		/* The next element*/
		"RgnHandle",
		"RgnHandle",
		"bRgnHandle",
		"n",
		/* The next element*/
		"RGBColor",
		"RGBColor",
		"bRGBColor",
		"y",
		/* The next element*/
		"Single",
		"float",
		"bSingle",
		"n",
		/* The next element*/
		"SizeDeterminer",
		"SizeDeterminer",
		"bSizeDeterminer",
		"n",
		/* The next element*/
		"Str255",
		"Str255",
		"bString",
		"y",
		/* The next element*/
		"StringHandle",
		"StringHandle",
		"bStringHandle",
		"n",
		/* The next element*/
		"Style",
		"Style",
		"bStyle",
		"n",
		/* The next element*/
		"TEHandle",
		"TEHandle",
		"bTEHandle",
		"n",
		/* The next element*/
		"VCoordinate",
		"VCoordinate",
		"bVCoordinate",
		"n",
		/* The next element*/
		"VPoint",
		"VPoint",
		"bVPoint",
		"y",
		/* The next element*/
		"VHSelect",
		"VHSelect",
		"bVHSelect",
		"n",
		/* The next element*/
		"VRect",
		"VRect",
		"bVRect",
		"y",
		/* The next element*/
		"WindowPtr",
		"WindowPtr",
		"bWindowPtr",
		"n",
	}
};

resource 'STR#'	(1003, "StandardMacAppTypes", purgeable) {
	{
		"TObject",
		"TAboutAppCommand",
		"TApplication",
		"TAssociation",
		"TButton",
		"TCellSelectCommand",
		"TCheckBox",
		"TCloseWindowCommand",
		"TCluster",
		"TColumnSelectCommand",
		"TCommand",
		"TCommandList",
		"TControl",
		"TControlTracker",
		"TCtlMgr",
		"TDebugCommand",
		"TDeskScrapView",
		"TDialogTEView",
		"TDialogView",
		"TDocument",
		"TDynamicArray",
		"TEditText",
		"TEntriesList",
		"TEntry",
		"TEvtHandler",
		"TGridView",
		"TIcon",
		"TInspectorCommand",
		"TList",
		"TNewDocCommand",
		"TNoChangesCommand",
		"TNumberText",
		"TOldDocCommand",
		"TPattern",
		"TPicture",
		"TPopup",
		"TPrintCommand",
		"TPrintHandler",
		"TPrintStyleChangeCommand",
		"TPtrBasedDoublyLinkedList",
		"TQuitCommand",
		"TRCSelectCommand",
		"TRadio",
		"TRevertDocCommand",
		"TRowSelectCommand",
		"TRunArray",
		"TSScrollBar",
		"TSaveDocCommand",
		"TScrollBar",
		"TScroller",
		"TSortedList",
		"TStaticText",
		"TStdPrintHandler",
		"TTECommand",
		"TTECutCopyCommand",
		"TTEPasteCommand",
		"TTEStyleCommand",
		"TTETypingCommand",
		"TTEView",
		"TTextGridView",
		"TTextListView",
		"TTranscriptView",
		"TUndoRedoCommand",
		"TView",
		"TWindow",
	}
}; 
