{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n-]}
{ CalcUtilities.p}
{ Copyright  1986-1991 by Apple Computer, Inc. All rights reserved.}

{
	This unit contains some utility routines for the Calc sample application.
	It demonstrates how to use a library unit in a MacApp application.
}

UNIT CalcUtilities;

	INTERFACE

		USES 
		{  requirements for this unit's interface. }
		Types, MacAppTypes,
		{}
		Quickdraw, Textedit, OSUtils, Segload, Files, Traps, Memory, SysEqu, Devices,
		Scrap, ULoMem, Aliases, Editions, UMacAppUtilities, AppleEvents, Balloons,

		{  MacApp}
		UFailure, UPascalObject, UObject, UList, UPatch, UMemory, Menus, UMenuMgr, UGeometry,
		Events, Controls, Windows, Dialogs, UMacAppGlobals, UAppleEvents, UEvent, UCommand, UEvtHandler,UFile, 
		UStream, UDesignator, UApplication,
		UBehavior, UViewBehavior, UPrintHandler, UAdorners, UView, UWindow, UControl, UScroller, UDocument, UAssociation,
		UFileHandler, USection, UFileBasedDocument, UEditionDocument;

		{ Formatting and Drawing routines }

		PROCEDURE FitString(VAR theString: Str255;
							maxWidth: INTEGER);

		FUNCTION GetRgnBounds(aRgn: RgnHandle): Rect;
		{ returns the enclosed rect of the rgn's bbox (subtracts 1 from right and bottom) }

		FUNCTION IsDigit(Ch: CHAR): BOOLEAN;

		PROCEDURE SetEditCmdName(theCommand, customCommand: INTEGER);

		PROCEDURE SetTheFont(fontNumber, fontSize: INTEGER;
							 fontStyle: Style);

		PROCEDURE SmartDrawString(theString: Str255;
								  area: Rect;
								  justification: INTEGER);

		{ Reading and Writing }

		PROCEDURE ReadScrap(theScrap: Handle;
							VAR scrapOffset: LONGINT;
							theData: Ptr;
							dataLength: INTEGER);

		PROCEDURE WriteScrap(theScrap: Handle;
							 VAR scrapOffset: LONGINT;
							 theData: Ptr;
							 dataLength: INTEGER);

	IMPLEMENTATION

		{$I $$Shell(SrcApp)CalcUtilities.inc1.p}

END.
