{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n+]}
{ MDrawShapes.p}
{ Copyright  1986-1991 by Apple Computer, Inc. All rights reserved.}

PROGRAM DrawShapes;

{$MC68020-} 											{ The main program must be universal code }
{$MC68881-}

	USES
		{
		 List units defining any types or constants that are required for your interface
		section (e.g. MacAppTypes or QuickDraw)
		 Also list units defining the classes that you are subclassing from in the interface
		section.  DO NOT list units for classes that you are only referencing
		(e.g. instance vars, parameter types or function results).
		 Also list the units used by the above (in their interface section).
		}
		
		Types, MacAppTypes, Memory, UPascalObject, UObject, UList, AppleEvents, UEvent, UCommand, Editions, Scrap, Dialogs,
		UEvtHandler, UApplication, UDocument, Balloons, UAdorners, UView, UWindow, UFloatWindow, UScroller, UFile, UBehavior, UViewBehavior, UPrintHandler,
		UFileHandler, UFileBasedDocument, UFailure, UGeometry, OSUtils, UMacAppUniversal, UMacAppUtilities,
		UClipboardMgr, Picker, Fonts, ToolUtils, Resources, Packages, SANE, Menus, UMenuMgr, UPatch, UMemory, UMacAppGlobals,

		{  Building Blocks }
		PrintTraps, UPrinting, UGridView, UTEView, UControl, UDialog, UPopup, UBetterFeedbackCmd, UMenuView,
		UTearOffMenuView, UDrawShapes;
		

	VAR
		gShapeApplication:	TShapeApplication;

{$S Main}

	BEGIN
	InitUMacApp(10);								{ Initialize MacApp; 10 calls to MoreMasters
													 Alert and ExitToShell if configuration mismatch }

	InitUMenuView;									{ Initialize the graphic menus unit }

	InitUFloatWindow;								{ Initialize the float window unit }
	InitUGridView;									{ Initialize the grid view unit }
	InitUTEView;									{ Initialize other units }
	InitUDialog;									{ Initialize other units }
	InitUPrinting;									{ Initialize the printing unit }

	New(gShapeApplication); 						{ Allocate the Application object }
	gShapeApplication.IShapeApplication;			{ Initialize it}

	gShapeApplication.Run;							{ Run it}
	END.
