{[a-,body+,h-,o=100,r+,rec+,t=4,u+,#+,j=20/57/1$,n-]}
{ UGrabberTracker.p }
{ Copyright  1988-1991 by Apple Computer, Inc. All rights reserved.}

{ This unit tracks a scrolling view with a MacPaint-like Grabber Hand }

UNIT UGrabberTracker;

	INTERFACE

		USES
			{}
			Types, MacAppTypes,
			{}
			Memory, UPascalObject, UObject,
			{}
			AppleEvents, UEvent, UCommand;

		CONST
			kGrabberHand		= 9;					{ ID of the grabberhand cursor }

		TYPE
			TDocument			= OBJECT; EXTERNAL;
			TView				= OBJECT; EXTERNAL;
			TScroller			= OBJECT; EXTERNAL;

			TGrabberTracker 	= OBJECT (TNoChangesTracker)
				PROCEDURE TGrabberTracker.IGrabberTracker(itsCmdNumber: CmdNumber;
														  itsDocument: TDocument;
														  itsView: TView;
														  itsScroller: TScroller;
														  itsMouse: VPoint);
				FUNCTION TGrabberTracker.TrackMouse(aTrackPhase: TrackPhase;
											  VAR anchorPoint: VPoint;
											  VAR previousPoint: VPoint;
											  VAR nextPoint: VPoint;
											  mouseDidMove: BOOLEAN): TTracker; OVERRIDE;
				PROCEDURE TGrabberTracker.TrackFeedback(aTrackPhase: TrackPhase;
											  anchorPoint: VPoint;
											  previousPoint: VPoint;
											  nextPoint: VPoint;
											  mouseDidMove: BOOLEAN;
											  turnItOn: BOOLEAN); OVERRIDE;
				PROCEDURE TGrabberTracker.AutoScroll(delta: VPoint); OVERRIDE;
				END;
END.
