/* Copyright  1986-1991 Apple Computer, Inc.  All rights reserved. */

#ifndef __SYSTYPES.R__
#include "SysTypes.r"
#endif

#ifndef __TYPES.R__
#include "Types.r"
#endif

include $$Shell("ObjApp")"MABuildTool" 'CODE';


RESOURCE 'vers' (1, "Version", purgeable) {
	0x03,
	0x00,
	alpha,
	0x02,
	verUs,
	"3.0a2",
	"3.0a2, Apple Computer, Inc. 1990-1991, All Rights Reserved."
};


RESOURCE 'vers' (2, "Version", purgeable) {
	0x03,
	0x00,
	alpha,
	0x02,
	verUs,
	$$Shell("MAShortVersion"),
	$$Shell("MALongVersion")
};

/* help text */

resource 'STR#' (129,
#if qNames
	"help text",
#endif
	purgeable) {
	{
		"MABuild          # MacApp Build System";
		"MABuild [option] [file]   progress";
		"    -Asm option            # Pass through options to Assembler";
		"    -C option              # Pass through options to C compiler";
		"    -CPlus option          # Pass through options to C++ compiler";
		"    -d name=(TRUE|FALSE)    # Set compile time variable name in all compilers";
		"    -Help                   # Prints this list of options to StdOut";
		"    -Lib option            # Pass through options to Librarian";
		"    -Link option           # Pass through options to Linker";
		"    -Make option           # Pass through options to Make";
		"    -Pascal option         # Pass through options to Pascal compiler";
		"    -Rez option            # Pass through options to Resource compiler";
		"    -Creator&Bundle option # Pass through options to PostRez tool";
		"    -RenameFlag oldname newname # Rename separate object folders";
		"    -E                      # Pass through -E to Make";
		"    -R                      # Pass through -R to Make and write results of Make to StdOut";
		"    -S                      # Pass through -S to Make and write results of Make to StdOut";
		"    -[No]Align              # Longword align all code and data for speed";
		"    -[No]AutoBuild          # Auto-build the MacApp libraries (and any others)";
		"    -[No]BottleNeck         # Bottleneck method calls through the dispatcher";
		"    -[No]CPlusLoad          # Make the C++ compiler use load/dump files";
		"    -[No]CPlusSupport       # Build with C or C++ libraries when MABuild can't autodetect it";
		"    -[No]Debug              # Turn on debugging and install debugging gear";
		"    -[No]DebugTheDebugger   # Turn on debugging for the debugging gear";
		"    -[No]Execute            # Execute the results of Make";
		"    -[No]ExpandEnvVars      # Expand environment vars in AppName.makeit";
		"    -[No]Fail               # Stop executing after first failure";
		"    -[No]Inspector          # Don't Include inspector in debugging gear";
		"    -[No]LinkMap            # Generate a link map in AppName.map";
		"    -[No]LinkXRef           # Generate a linker cross reference in AppName.xref";
		"    -[No]MacApp             # Build for use with MacApp";
		"    -[No]Names              # Include embedded debugging symbols";
		"    -[No]NeedsColorQD       # Build to require Color QuickDraw";
		"    -[No]NeedsFPU           # Build to require a Floating point unit";
		"    -[No]NeedsMC68020       # Build to require a 68020";
		"    -[No]NeedsMC68030       # Build to require a 68030";
		"    -[No]NeedsROM128K       # Build to require ROM 128K or better";
		"    -[No]NeedsSystem7       # Build to require System 7.0 or better";
		"    -[No]P                  # Show progress for the MABuild system";
		"    -[No]PasLoad            # Make the Pascal compiler put its symbol table dumps in external files";
		"    -[No]Perform            # Include performance monitor code";
		"    -[No]PP                 # Have all invoked tools show progress too";
		"    -[No]RangeCheck         # Force range/overflow checking";
		"    -[No]Run                # Run after build";
		"    -[No]Save               # Auto-save all open windows before starting build";
		"    -[No]SeparateObjects    # Keep separate object folders for each build variation";
		"    -[No]StatusOnly         # Write results of Make to StdOut";
		"    -[No]Sym                # Generate SADE-compatible symbol information";
		"    -[No]T                  # Show elapsed time for the MABuild system";
		"    -[No]TemplateViews      # Include code to create views from templates";
		"    -[No]Trace              # Include tracing probes for debugging";
		"    -[No]TT                 # Have all invoked tools show elapsed time too";
		"    -[No]UnInit             # Force initialization of uninitialized storage";
		"    -[No]UserAutoBuild      # Auto-build user-specified libraries {MAUserAutoBuild}"
	}
};


